ServerEvents.recipes(event => {
event.remove({ output: 'modularrouters:blank_module' })
event.remove({ output: 'modularrouters:blank_upgrade' })
event.remove({ output: 'modularrouters:modular_router' })
    event.shaped(
    Item.of('modularrouters:blank_module', 1), // outputs 1
    [
        ' R ',
        'PPP',
        'BBB'
    ],
    {
        P: '#create:sandpaper',
        R: 'forbidden_arcanus:corrupti_dust',
        B: 'create:brass_nugget'
    }
    )
    event.shaped(
    Item.of('modularrouters:blank_upgrade', 1), // outputs 1
    [
        'PPB',
        'PRB',
        ' PB'
    ],
    {
        P: '#create:sandpaper',
        R: 'forbidden_arcanus:corrupti_dust',
        B: 'create:brass_nugget'
    }
    )
    event.shaped(
    Item.of('modularrouters:modular_router', 1), // outputs 1
    [
        'IBI',
        'BFB',
        'IBI'
    ],
    {
        I: 'naturesaura:depth_ingot',
        B: 'minecraft:iron_bars',
        F: 'thermal:fluid_cell'
    }
    )
})